Bug 859895 - [fork] Caught "node execution failure" when adding mysql/postgresql cartridge to app again after it's removed.
[fork] Caught "node execution failure" when adding mysql/postgresql cartridge...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Mrunal Patel
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-24 06:51 EDT by Jianwei Hou
Modified: 2015-05-14 18:59 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-06 13:49:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
development.log (22.36 KB, text/x-log)
2012-09-24 06:51 EDT, Jianwei Hou
no flags Details

  None (edit)
Description Jianwei Hou 2012-09-24 06:51:59 EDT
Created attachment 616465 [details]
development.log

Description of problem:
Create an app and embed mysql/postgresql, remove mysql/postgresql and embed it back again, caught node execution failure.

Version-Release number of selected component (if applicable):
On fork_ami_US2105_133

How reproducible:
Always

Steps to Reproduce:
1. Create an application and embed mysql/postgresql 
2. remove mysql/postgresql from app
3. embed mysql/postgresql back again
  
Actual results:
hjw@my n1$ rhc app cartridge add -a r18 -c mysql-5.1 -pxxx -d
Contacting https://ec2-107-21-160-59.compute-1.amazonaws.com
Problem reported from server. Response code was 500.

DEBUG:
MySQL already running
ERROR 1045 (28000): Access denied for user 'root'@'localhost' (using password: NO)
Failed to create r18
Cartridge return code: 188

Exit Code: 143
broker_c: ["namespace", "rhlogin", "ssh", "app_uuid", "debug", "alter", "cartridge", "cart_type", "action", "app_name", "api"]
api_c: ["placeholder"]
API version:    1.1.3

RESULT:
Node execution failure (invalid exit code from node).  If the problem persists please contact Red Hat support.


Expected results:
Should embed mysql/postgresql successfully.

Additional info:
development.log is attached.
Comment 1 Mrunal Patel 2012-09-25 15:41:21 EDT
Fixed in branch.
Comment 2 Xiaoli Tian 2012-09-27 01:46:00 EDT
Move it to ON_QA to verify in fork_ami_US2105_169
Comment 3 jizhao 2012-09-27 07:03:18 EDT
Verify this bug on fork_ami_US2105_169.

Steps to Reproduce:
1. Create an application and embed mysql/postgresql 
2. remove mysql/postgresql from app
3. embed mysql/postgresql back again

Actual results:
3. mysq/postgresql can be added back and connected successfully.

Note You need to log in before you can comment on or make changes to this bug.